/* switch leds
 
 * 
 * turn LEDs on/off using switch buttons
 *
 
 * SensorAktor Workshop
 * Lab3 2008
 * Kunsthochschule fuer Medien Koeln
 * Academy of Media Arts Cologne
 * http://interface.khm.de
 
 * pin mapping SensorAktor Shield (import <SensorAktor.h> to get already defined mapping)
 *
 * analog inputs: a0 = pin0, a1 = pin1, a2 = pin2, a3 = pin3, a4 = pin4, a5 = pin5
 * built-in poti: poti = pin5
 * amplified input: mic = pin0
 * switches: s1 = pin1, s2 = pin2, s3 = pin3
 * leds: led1 = pin3, led2 = pin5, led3 = pin6
 * power outs: out1 = pin3, out2 = pin5, out3 = pin6
 * motor outs: motor1_1 = pin8, motor1_2 = pin13, motor2_1 = pin11, motor2_2 = pin12
 * motor pwms: pwmMotor1 = pin10, pwmMotor2 = pin9
 * servo outs: servo1 = pin2, servo2 = pin4, servo3 = pin7

 */
 
// import sensor aktor library for pin mapping
#include <SensorAktor.h>


// this block is executed one time when programm starts
#include "WProgram.h"
void setup();
void loop();
void setup(){

  // set pin modes
  pinMode(led1,OUTPUT);
  pinMode(led2,OUTPUT);
  pinMode(led3,OUTPUT);
  pinMode(s1,INPUT);
  pinMode(s2,INPUT);
  pinMode(s3,INPUT);

  // turn on pullup resistors for switch buttons
  digitalWrite(s1, HIGH);
  digitalWrite(s2, HIGH);
  digitalWrite(s3, HIGH);

}

// this block is executed in a loop after setup is called one time
void loop(){

  // using switch buttons to turn LEDs on/off
  digitalWrite(led1,digitalRead(s1));
  digitalWrite(led2,digitalRead(s2));
  digitalWrite(led3,digitalRead(s3));

}


int main(void)
{
	init();

	setup();
    
	for (;;)
		loop();
        
	return 0;
}

